{
    /* $Header: /Network/Source/CVS/OmniGroup/Frameworks/OWF/CustomInfo.plist,v 1.29 1999/10/23 00:43:57 dis Exp $ */

    OFSoftwareVersion = 1999C;
    OFRegistrations = {
        OFUserDefaults = {
            defaultsDictionary = {
                /* OWAddress */
                OWAddressShortcuts = {
                    "*" = "http://www.%@.com/"; /* Default */
                    "localhost" = "http://localhost/";
                    "www" = "http://www/";
                    "w3" = "http://www.w3.org/";
		};

                /* OWContentType */
                OWContentTypeExpirationTimeIntervals = {
                    "DocumentTitle/Guess" = NeverExpire;
                    "DocumentTitle/Real" = NeverExpire;
                    "ObjectStream/OWFileInfoList" = 15;
		    "ObjectStream/OWNewsgroupHeaderList" = 600;
                    "ObjectStream/SGML" = 15;
                    "Omni/Document" = 600;
                    "Omni/Image" = 600;
                    "Omni/ScriptBlock" = 600;
                    "Omni/Animation" = 600;
                    "Omni/ImageMapSet" = 600;
		    "Omni/OWNNTPSession" = 300;
		    "Omni/OWNewsArticle" = 300;
                    "Omni/Source" = 300;
                    "Omni/AllocationZone" = 20;
                    "TimeStamp/LastChanged" = NeverExpire;
                };

                /* Number of threads to use for background processing */
                OWProcessorThreadCount = 32;

                /* Task Headers (OWContentInfo) */
                "OWTask-DEFAULT-priority" = 800;
                "OWTask-DEFAULT-maximumSimultaneousThreadsInGroup" = 32;
                "OWTask-Orphans-priority" = 3200;
                "OWTask-Orphans-maximumSimultaneousThreadsInGroup" = 1;

                /* Used in the file processor (OWFileProcessor) */
                OWDirectoryIndexFilename = "index.html";

		/* Used in the HTTP processor (OWHTTPProcessor) */
		OWHTTPDebug = NO;
		OWHTTPEnablePipelinedRequests = NO;
		OWHTTPFakeAcceptHeader = NO;
		OWHTTPMaximumNumberOfRequestsToPipeline = 3;
		OWHTTPMaximumSessionsPerServer = 4;
		OWHTTPRefuseAllCookies = NO;
		OWHTTPSessionTimeout = 120.0; /* 2 minutes */
		OWHTTPSpoofAllServers = NO;
		OWHTTPSpoofServers = ("777film.com", "800.com", "aip.org", "books.com", "hotwired.com", "speakeasy.org", "wiso.gwdg.de", "word.com", "yahoo.com");
		OWHTTPSpoofUserAgentHeaderFormat = "Mozilla/2.0 %@";

                /* Used in HTML parsing */
                OWHTMLMosaicCompatibleNonterminatedQuotedValues = NO;
                OWHTMLNetscapeCompatibleComments = YES;
                OWHTMLNetscapeCompatibleNewlineAfterEntity = YES;
                OWHTMLNetscapeCompatibleNonterminatedEntities = NO;

		/* Used in URL parsing */
                OWURLNetscapeCompatibleRelativeAddresses = YES;
                OWURLFakeRootURLs = ();

                /* Used by NNTP sessions (OWNNTPSession) */
                OWNNTPSessionTimeout = 120.0;
                OWNNTPServerHost = "news";
                OWNNTPServerPort = 119;

                /* HTML/URL encodings */
                OWIncomingStringEncoding = 0; /* Default (Windows Latin 1) */
                OWOutgoingStringEncoding = 0; /* Default (follows Incoming) */

                /* Proxy preferences */
                OWProxyServers = ();
                OWNonProxiableSchemes = (file, javascript, mailto, omniweb, rlogin, telnet, tn3270);

                /* Used in Cookie support */
                OWShortTopLevelDomains = ("com", "edu", "net", "org", "gov", "mil", "int", "de");

                /* Used for saving authorization credentials and cookies */
                OWLibraryDirectory = "~/Library/OmniWeb";

                /* Used by the FTP protocol */
                OWFTPAnonymousPassword = ""; /* empty generates user@domain */
                OWFTPSessionTimeout = 120.0; /* 2 minutes */
            };
        };
        OWContentType = {
            /* Aliases must NOT be used anywhere else in file */
            aliases = {
                "application/rtf" = "application/x-rtf";
                "image/jpeg" = "image/pjpeg";
                "image/xbm" = "image/x-bitmap";
                "image/x-eps" = "image/eps";
                "multipart/x-tar" = "application/x-tar";

                /* Content encodings */

                "encoding/none" = ("encoding/8bit", "encoding/7bit", "encoding/binary");
                "encoding/compress" = "encoding/x-compress";
                "encoding/gzip" = "encoding/x-gzip";
            };
            extensions = {
  	        "application/java-vm" = "class";
                "application/oda" = "oda";
                "application/pdf" = "pdf";
                "application/rtf" = "rtf";
                "application/x-dvi" = "dvi";
                "application/x-postscript-not-eps" = "ps";
                "application/x-stuffit" = "hqx";
                "application/x-tex" = "tex";
                "application/x-texinfo" = "texinfo";
                "application/x-url" = "url";
                "audio/basic" = ("au", "snd");
                "image/cmu-raster" = "ras";
                "image/gif" = "gif";
                "image/jpeg" = ("jpg", "jpeg", "jfif", "pjpeg");
                "image/png" = "png";
                "image/tiff" = ("tiff", "tif");
                "image/x-eps" = "eps";
                "image/x-portable-anymap" = "pnm";
                "image/x-portable-bitmap" = "pbm";
                "image/x-portable-graymap" = "pgm";
                "image/x-portable-pixmap" = "ppm";
                "image/x-rgb" = "rgb";
                "image/x-xwindowdump" = "xwd";
                "image/xbm" = "xbm";
                "image/xpm" = "xpm";
                "multipart/x-mixed-replace" = "multipart";
                "multipart/x-tar" = "tar";
                "multipart/x-tar-gz" = (tgz, taz); 
                "text/html" = ("html", "htm", "html3", "ht3");
                "video/mpeg" = ("mpeg", "mpg");
                "video/quicktime" = "mov";

                /* Content encodings */

                "encoding/compress" = "Z";
                "encoding/gzip" = "gz";
            };
            guesses = {
                /* Content types */

 	        "application/java-vm" = { prefix = "\312\376\272\276"; };
                "application/pdf" = { anywhere = "%!PDF"; };
                "application/ps" = { prefix = "%!PS"; };
                "audio/basic" = { prefix = ".snd"; };
                "image/gif" = { prefix = "GIF8"; };
                "image/jpeg" = {
                    prefix = "\377\330\377\340";
                    anywhere = "JFIF";
                };
                "image/png" = { prefix = "\211\120\116\107\15\12\32\12"; };
                "image/tiff" = { prefix = "MM\000"; };
                "image/xbm" = {
                    anywhere = ("_width", "_bits");
                };
                "multipart/x-tar" = {
		    anywhere = ("ustar\000", "ustar  \000");
		};
                "text/html" = {
                    anywhere = ("<html>", "<HTML>", "<head>", "<HEAD>", "<title>", "<TITLE>", "<body>", "<BODY>");
                };
                "video/quicktime" = { anywhere = "mdat"; };

                /* Content encodings */

                "encoding/compress" = { prefix = "\037\235"; };
                /* "encoding/gzip" = { prefix = "\037\213"; }; */
            };
            icons = {
                "application/pdf" = "smallPS";
                "application/postscript" = "smallPS";
                "application/x-postscript-not-eps" = "smallPS";
                "application/x-stuffit" = "smallPackage";
                "audio/basic" = "smallSND";
                "image/cmu-raster" = "smallImage";
                "image/gif" = "smallImage";
                "image/jpeg" = "smallImage";
                "image/png" = "smallImage";
                "image/tiff" = "smallImage";
                "image/x-eps" = "smallImage";
                "image/x-portable-anymap" = "smallImage";
                "image/x-portable-bitmap" = "smallImage";
                "image/x-portable-graymap" = "smallImage";
                "image/x-portable-pixmap" = "smallImage";
                "image/x-rgb" = "smallImage";
                "image/x-xwindowdump" = "smallImage";
                "image/xbm" = "smallImage";
                "image/xpm" = "smallImage";
                "multipart/x-mixed-replace" = "smallMovie";
                "multipart/x-tar" = "smallPackage";
                "objectstream/bookmarkList" = "URL_Openbook";
                "objectstream/sgml" = "smallLink";
                "objectstream/sgml-frames" = "smallLink";
                "omni/searchshelf" = "URL_OpenIndex";
                "omni/document" = "smallLink";
                "omni/image" = "smallImage";
                "text/html" = "smallLink";
                "video/mpeg" = "smallMovie";
                "video/quicktime" = "smallMovie";

                /* Content encodings */

                "encoding/compress" = "smallPackage";
                "encoding/gzip" = "smallPackage";
            };

	    flags = {
		/* boring types aren't advertised in Accept: lines */
		"image/cmu-raster" = boring;
		"image/x-alias" = boring;
		"image/x-amigaiff" = boring;
		"image/x-avs" = boring;
		"image/x-bitmap" = boring;
		"image/x-bm" = boring;
		"image/x-bmp" = boring;
		"image/x-cur" = boring;
		"image/x-cursor" = boring;
		"image/x-df" = boring;
		"image/x-eps" = boring;
		"image/x-giff" = boring;
		"image/x-hdf" = boring;
		"image/x-ico" = boring;
		"image/x-icon" = boring;
		"image/x-iff" = boring;
		"image/x-iris" = boring;
		"image/x-ivb" = boring;
		"image/x-jff" = boring;
		"image/x-macp" = boring;
		"image/x-mpnt" = boring;
		"image/x-ncsa" = boring;
		"image/x-pcc" = boring;
		"image/x-pcd" = boring;
		"image/x-pcx" = boring;
		"image/x-pic" = boring;
		"image/x-picio" = boring;
		"image/x-pict" = boring;
		"image/x-pict2" = boring;
		"image/x-pix" = boring;
		"image/x-pixar" = boring;
		"image/x-png" = boring;
		"image/x-pntg" = boring;
		"image/x-portable-bitmap" = boring;
		"image/x-portable-graymap" = boring;
		"image/x-portable-pixmap" = boring;
		"image/x-pr" = boring;
		"image/x-rgb" = boring;
		"image/x-rla" = boring;
		"image/x-rlb" = boring;
		"image/x-rle" = boring;
		"image/x-rpbm" = boring;
		"image/x-rpgm" = boring;
		"image/x-rpnm" = boring;
		"image/x-rppm" = boring;
		"image/x-scr" = boring;
		"image/x-sgi" = boring;
		"image/x-sr" = boring;
		"image/x-sun" = boring;
		"image/x-suniff" = boring;
		"image/x-synu" = boring;
		"image/x-taac" = boring;
		"image/x-tga" = boring;
		"image/x-vda" = boring;
		"image/x-viff" = boring;
		"image/x-x" = boring;
		"image/x-x11" = boring;
		"image/x-xv" = boring;
		"image/x-xwindowdump" = boring;
	    }
        };
        OWHTTPSession = {
            languageAbbreviations = {
                /* Excerpted from ISO 639, as transcribed by Keld Simonsen. The Registration Authority for ISO 639 is Infoterm, Osterreiches Normungsinstitut (ON), Postfach 130, A-1021 Vienna, Austria. */
                Afar = aa;
                Abkhazian = ab;
                Afrikaans = af;
                Amharic = am;
                Arabic = ar;
                Assamese = as;
                Aymara = ay;
                Azerbaijani = az;

                Bashkir = ba;
                Byelorussian = be;
                Bulgarian = bg;
                Bihari = bh;
                Bislama = bi;
                Bengali = bn;
                Bangla = bn;
                Tibetan = bo;
                Breton = br;

                Catalan = ca;
                Corsican = co;
                Czech = cs;
                Welsh = cy;

                Danish = da;
                German = de;
                Bhutani = dz;

                Greek = el;
                English = en;
                Esperanto = eo;
                Spanish = es;
                Estonian = et;
                Basque = eu;

                Persian = fa;
                Finnish = fi;
                Fiji = fj;
                Faeroese = fo;
                French = fr;
                Frisian = fy;

                Irish = ga;
                "Scots Gaelic" = gd;
                Galician = gl;
                Guarani = gn;
                Gujarati = gu;

                Hausa = ha;
                Hindi = hi;
                Croatian = hr;
                Hungarian = hu;
                Armenian = hy;

                Interlingua = ia;
                Interlingue = ie;
                Inupiak = ik;
                Indonesian = in;
                Icelandic = is;
                Italian = it;
                Hebrew = iw;

                Japanese = ja;
                Yiddish = ji;
                Javanese = jw;

                Georgian = ka;
                Kazakh = kk;
                Greenlandic = kl;
                Cambodian = km;
                Kannada = kn;
                Korean = ko;
                Kashmiri = ks;
                Kurdish = ku;
                Kirghiz = ky;

                Latin = la;
                Lingala = ln;
                Laothian = lo;
                Lithuanian = lt;
                Latvian = lv;
                Lettish = lv;

                Malagasy = mg;
                Maori = mi;
                Macedonian = mk;
                Malayalam = ml;
                Mongolian = mn;
                Moldavian = mo;
                Marathi = mr;
                Malay = ms;
                Maltese = mt;
                Burmese = my;

                Nauru = na;
                Nepali = ne;
                Dutch = nl;
                Norwegian = no;

                Occitan = oc;
                Oromo = om;
                Oriya = or;

                Punjabi = pa;
                Polish = pl;
                Pashto = ps;
                Pushto = ps;
                Portuguese = pt;

                Quechua = qu;

                "Rhaeto-Romance" = rm;
                Kirundi = rn;
                Romanian = ro;
                Russian = ru;
                Kinyarwanda = rw;

                Sanskrit = sa;
                Sindhi = sd;
                Sangro = sg;
                "Serbo-Croatian" = sh;
                Singhalese = si;
                Slovak = sk;
                Slovenian = sl;
                Samoan = sm;
                Shona = sn;
                Somali = so;
                Albanian = sq;
                Serbian = sr;
                Siswati = ss;
                Sesotho = st;
                Sundanese = su;
                Swedish = sv;
                Swahili = sw;

                Tamil = ta;
                Tegulu = te;
                Tajik = tg;
                Thai = th;
                Tigrinya = ti;
                Turkmen = tk;
                Tagalog = tl;
                Setswana = tn;
                Tonga = to;
                Turkish = tr;
                Tsonga = ts;
                Tatar = tt;
                Twi = tw;

                Ukrainian = uk;
                Urdu = ur;
                Uzbek = uz;

                Vietnamese = vi;
                Volapuk = vo;

                Wolof = wo;

                Xhosa = xh;

                Yoruba = yo;

                Chinese = zh;
                Zulu = zu;
            };
            dateFormats = {
                preferredDateFormat = "%a, %d %b %Y %H:%M:%S %Z";
            };
        };
    };
}
